---------------------
PatchSet 3143 
Date: 2005/04/28 09:31:53
Author: cladisch
Branch: HEAD
Tag: (none) 
Log:
Summary: usb-audio - restrict Audigy 2 NX frequencies to 48/96 kHz

On the SB Audigy 2 NX, frequency feedback doesn't quite work
when playing at 44.1 kHz, so temporarily disable this frequency.

Members: 
	usb/usbaudio.c:1.122->1.123 

Index: /sound/usb/usbaudio.c
diff -u /sound/usb/usbaudio.c.old /sound/usb/usbaudio.c
--- /sound/usb/usbaudio.c.old	Mon Apr 25 02:34:13 2005
+++ /sound/usb/usbaudio.c	Thu Apr 28 01:31:53 2005
@@ -2422,15 +2422,17 @@
 	if (err < 0)
 		return err;
 #if 1
-	/* FIXME: temporary hack for extigy */
+	/* FIXME: temporary hack for extigy/audigy 2 nx */
 	/* extigy apparently supports sample rates other than 48k
 	 * but not in ordinary way.  so we enable only 48k atm.
 	 */
 	if (le16_to_cpu(dev->descriptor.idVendor) == 0x041e && 
-	    le16_to_cpu(dev->descriptor.idProduct) == 0x3000) {
+	    (le16_to_cpu(dev->descriptor.idProduct) == 0x3000 ||
+	     le16_to_cpu(dev->descriptor.idProduct) == 0x3020)) {
 		if (fmt[3] == USB_FORMAT_TYPE_I &&
 		    stream == SNDRV_PCM_STREAM_PLAYBACK &&
-		    fp->rates != SNDRV_PCM_RATE_48000)
+		    fp->rates != SNDRV_PCM_RATE_48000 &&
+		    fp->rates != SNDRV_PCM_RATE_96000)
 			return -1; /* use 48k only */
 	}
 #endif
